# bdm::mgnorm< sq_T > Class Template Reference

Mpdf with general function for mean value. More...

`#include <exp_family.h>`

List of all members.

## Public Member Functions
| mgnorm ()
| default constructor
void | set_parameters (fnc *g0, const sq_T &R0)
| set mean function
void | condition (const vec &cond)
| Update `ep` so that it represents this mpdf conditioned on `rvc` = cond.
void | from_setting (const Setting &set)
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
Matematical operations
virtual vec | samplecond (const vec &cond)
| Returns a sample from the density conditioned on `cond`, .
virtual mat | samplecond_m (const vec &cond, int N)
| Returns.
virtual double | evallogcond (const vec &dt, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Matrix version of evallogcond.
virtual vec | evallogcond_m (const Array< vec > &Dt, const vec &cond)
| Array<vec> version of evallogcond.
Access to attributes
RV | _rv ()
RV | _rvc ()
int | dimension ()
int | dimensionc ()
epdf & | _epdf ()
epdf * | _e ()
Connection to other objects
void | set_rvc (const RV &rvc0)
void | set_rv (const RV &rv0)
bool | isnamed ()
## Protected Attributes
enorm< sq_T > | epdf
| Internal epdf that arise by conditioning on `rvc`.
vec & | mu
fnc * | g
int | dimc
| dimension of the condition
RV | rvc
| random variable in condition
epdf * | ep
| pointer to internal epdf

## Detailed Description

### template<class sq_T>
class bdm::mgnorm< sq_T >

Mpdf with general function for mean value.

## Member Function Documentation

template<class sq_T >

void bdm::mgnorm< sq_T >::from_setting | ( | const Setting & | set | ) | `[inline, virtual]`

UI for mgnorm

The mgnorm is constructed from a structure with fields:

                            system = {
                                    type = "mgnorm";
                                    // function for mean value evolution
                                    g = {type="fnc"; ... }

                                    // variance
                                    R = [1, 0,
                                             0, 1];
                                    // --OR --
                                    dR = [1, 1];

                                    // == OPTIONAL ==

                                    // description of y variables
                                    y = {type="rv"; names=["y", "u"];};
                                    // description of u variable
                                    u = {type="rv"; names=[];}
                            };

Result if

Reimplemented from bdm::mpdf.

References bdm::UI::get(), and bdm::mgnorm< sq_T >::set_parameters().

virtual vec bdm::mpdf::samplecond | ( | const vec & | cond | ) | `[inline, virtual, inherited]`

Returns a sample from the density conditioned on `cond`, .

Parameters:

  | cond | is numeric value of `rv`

Reimplemented in bdm::mprod.

References bdm::mpdf::condition(), bdm::mpdf::ep, and bdm::epdf::sample().

Referenced by bdm::MPF< BM_T >::bayes(), bdm::PF::bayes(), and bdm::ArxDS::step().

virtual mat bdm::mpdf::samplecond_m | ( | const vec & | cond,
|  | int | N |
| ) |  |  | `[inline, virtual, inherited]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`

References bdm::mpdf::condition(), bdm::epdf::dimension(), bdm::mpdf::ep, and bdm::epdf::sample().

The documentation for this class was generated from the following file:

- exp_family.h